<template>
  <div id="editPaper">
    <el-tabs v-model="activeName" type="card">
    <el-tab-pane label="试卷基本信息" name="first"><base-edit-paper /></el-tab-pane>
    <el-tab-pane label="试卷题目内容" name="second"><topic-edit-paper/></el-tab-pane>
  </el-tabs>
  </div>
</template>

<script>
import baseEditPaper from "./baseEditPaper/index.vue"
import topicEditPaper from "./topicEditPaper/index.vue"
export default {
  name:"EditPaper",
  components:{baseEditPaper,topicEditPaper},
  data() {
    return {
      activeName:"first"
    };
  },
  methods: {},
  mounted() {
    if (this.$route.query.name) {
      if (this.$route.query.name == 1) {
        this.activeName = "first";
      }
      if (this.$route.query.name == 2) {
        this.activeName = "second";
      }
    }
  },
};
</script>

<style lang="less" scoped>
</style>
